#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library and components for secure lock screen architecture
Name:           kscreenlocker
Version: 5.8.7
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  plasma-framework-devel 
BuildRequires:  kcmutils-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kidletime-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kcrash-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kwayland-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets) 
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pam-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       kidletime

Conflicts:      plasma-workspace < 5.4.90
Conflicts:      kde-l10n < 15.10.0

%description
Library and components for secure lock screen architecture. 

%files -f %name.lang
%_qt5_plugindir/screenlocker_kcm.so
%attr(4755,root,root) %_libexecdir/kcheckpass
%_libexecdir/kscreenlocker_greet
%_datadir/dbus-1/interfaces/kf5_org.freedesktop.ScreenSaver.xml
%_kf5_datadir/kconf_update/kscreenlocker.upd
%_kf5_datadir/kconf_update/ksreenlocker_5_3_separate_autologin.pl
%_kf5_datadir/knotifications5/ksmserver.notifyrc
%_kf5_datadir/kservices5/screenlocker.desktop
%_kf5_datadir/ksmserver/screenlocker/org.kde.passworddialog

#--------------------------------------------------------------------

%define kscreenlocker_major 5
%define libkscreenlocker %mklibname kscreenlocker %{kscreenlocker_major}

%package -n %libkscreenlocker
Summary:  Library and components for secure lock screen architecture 
Group:        System/Libraries

%description -n %libkscreenlocker
Library and components for secure lock screen architecture. 

%files -n %libkscreenlocker
%_kf5_libdir/libKScreenLocker.so.%{kscreenlocker_major}*

#--------------------------------------------------------------------

%define kscreenlocker_devel %mklibname kscreenlocker -d

%package -n %kscreenlocker_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libkscreenlocker = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus)

Provides:       %name-devel = %{version}-%{release}

%description -n %kscreenlocker_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kscreenlocker_devel
%_kf5_libdir/libKScreenLocker.so
%_includedir/KScreenLocker
%_kf5_libdir/cmake/KScreenLocker
%_kf5_libdir/cmake/ScreenSaverDBusInterface

#--------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build

%find_lang --all-name %name


%changelog
* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104840
- New version 5.8.7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090373
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089026
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078161
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070718
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065096
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064479
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063049
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060274
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057600
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053056
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052683
- New version 5.7.5

* Thu Aug 25 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1048865
- enable PAM and XInput support

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048348
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044269
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042557
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041394
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039500
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021870
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014538
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009275
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999259
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998014
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994505
- New version 5.6.0

* Wed Mar 09 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 988489
- Fix automatic screen lock ( mga #16680 )

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987089
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984657
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927969
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922506
- New version 5.5.3

* Thu Dec 31 2015 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 917297
- Add conflict to ease upgrade

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915903
- Rebuild against new cmake

* Sat Dec 26 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914936
- New version

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910748
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908885
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904438
- New version 5.4.95

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899685
- Fix attrs

* Sat Nov 07 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898347
- imported package kscreenlocker

